Skip to main content

Transfer Between Accounts

Transfer assets between different account types (Spot, Futures, Lending, Staking).

HTTP Request

POST /api/v1/spot/account/transfer

Request Parameters

ParameterTypeRequiredDescription
fromstringYesSource account: "FUSD", "SPOT", "LENDING", "STAKING"
tostringYesDestination account: "FUSD", "SPOT", "LENDING", "STAKING"
symbolstringYesCoin symbol to transfer (e.g., USDT)
quantitystringYesTransfer amount

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/spot/account/transfer" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"from": "SPOT",
"to": "FUSD",
"symbol": "USDT",
"quantity": "100.00"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectTransfer result data
> typestringTransfer type
> symbolstringCoin symbol
> quantitystringTransfer amount
> cTimestringCreation time in milliseconds

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": {
"type": "SPOT_TO_FUSD",
"symbol": "USDT",
"quantity": "100.00",
"cTime": "1763459280833"
}
}

Error Codes

CodeMessage
40002Unauthorized
40004Fee more than request quantity
40005Insufficient balance
40006Unsupported transfer type: from -> to
40007Lock amount error
40034Coin not found: symbol
50000System error
50002Failed to expire FUSD position coupon